cancel
Showing results for 
Search instead for 
Did you mean: 

Intel's Converged Security & Management Engine Outdated Firmware for G512LI - solved

Olexander
Level 9
Hi. My question is about Intel's Converged Security and Management Engine (Intel CSME)

I downloaded Intel CSME Version Detection Tool (https://downloadcenter.intel.com/download/28632) and checked my laptop for vulnerabilities. The program showed the following: "Based on the analysis performed by this tool: This system is vulnerable" (https://i.imgur.com/wU5Kx85.png).

ROG Strix G15 G512LI-HN057
https://i.imgur.com/VmGRXk7.png
https://i.imgur.com/V0WFzbp.png
BIOS ver. 307

According to Intel, the update of the firmware of this component is the OEM's responsibility
I contacted Asus technical support (https://i.imgur.com/MoKsxhq.png) I was answered that Intel does not provide updates for this component. How is this possible?
1,548 Views
1 REPLY 1

Olexander
Level 9
That was quick (https://i.imgur.com/nRcCev9.png). The bios update came today (310) I don't know who helped, but thank you!